REM @echo off
call "%CROSSWORLDS%"\bin\CWConnEnv
setlocal


REM set the directory where the specific connector resides
set CONNDIR="%CROSSWORLDS%"\connectors\%1

REM goto the connector specific drive & directory
cd /d %CONNDIR%

REM set the name to be the application connector that is starting
set CONNAME=%1

REM set the server name to be the interchange that is being targeted
set SERVER=%2

set DATAHANDLER="%CROSSWORLDS%"\DataHandlers\CwDataHandler.jar
set CUST_DATAHANDLER="%CROSSWORLDS%"\DataHandlers\CustDataHandler.jar
set IBM_XML="%CROSSWORLDS%"\DataHandlers\Dependencies\IBM\xml4j.jar
set AGENT="%CROSSWORLDS%"\connectors\JText\CWJText.jar
set VBJTOOLS="%CROSSWORLDS%"\lib\vbjtools.jar


REM For CAP


REM for FTP jar
set COMMONS_NET="%CONNDIR%"\Dependencies\jakarta-oro-2.0.8.jar;"%CONNDIR%"\Dependencies\commons-net-1.1.0.jar

set JCLASSES=.;%JCLASSES%;%AGENT%;%DATAHANDLER%;%XML_PARSER%;%VBJTOOLS%;%CUST_DATAHANDLER%;%COMMONS_NET%

REM config file location defaults to HOME\InterchangeSystem.cfg on the local machine

REM start the Java connector under the Java Application End
%CWJAVA% -oss10m -ms64m -mx128m -Djava.ext.dirs="%MQ_LIB%";%JRE_EXT_DIRS% -Djava.library.path="%CROSSWORLDS%"\bin;"%CONNDIR%";"%MQ_LIB%";%JRE_EXT_DIRS% %ORB_PROPERTY% -Duser.home="%CROSSWORLDS%" -cp %JCLASSES% AppEndWrapper -lcom.crossworlds.connectors.jtext.ConnectorAgent -n%CONNAME%Connector -s%SERVER% %3 %4

endlocal

pause
